- Home
- API Enriched
- Statistics
- infraprotect
- L3l4 Event count.
L3l4 Event count.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/event_count/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","namespace":"example","network_id":"example","start_time":"2026-04-15T12:00:00Z","step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/event_count/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z", "step": "example" }'Request to GET l3l4 Event counts over a period of time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
NetworkId The network ID we want the data for. If empty or * is provided then all networks data is returned.
Request Bodyrequired
Section titled “Request Bodyrequired”Used to display Event counts for a network.
object
End time of metric collection from which data will be considered to build graph.
Optional: If not specified, then the end_time will be evaluated to
This request is supported only in system namespace.
The network ID we want the data for. If empty or * is provided then all networks data is returned.
Start time of metric collection from which data will be considered to build graph.
Optional: If not specified, then the start_time will be evaluated to
Step is the resolution width, which determines the number of the data points Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days
Optional: If not specified, then the step will be evaluated to 1d.
Examplegenerated
{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z", "step": "example"}Responses
Section titled “Responses”A successful response.
Response for Application Traffic.
object
List of timelines with event count metrics. Currently two metrics are considered - bounded events and ongoing events.
object
Bounded event metric value.
Ongoing event metric value.
RFC3339 timestamp.
Examplegenerated
{ "events": [ { "bounded": "example", "ongoing": "example", "timestamp": "2026-04-15T12:00:00Z" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example